Type tga_header_t
	picture_id As UByte
	palette_type As UByte
	picture_type As UByte
	palette_start As UShort
	palette_lenght As UShort
	palette_bits As UByte
	x_null As UShort
	y_null As Ushort
	picture_with As UShort
	picture_height As UShort
	picture_bits As UByte
	picture_attrib_bits As ubyte
End Type
Function TLoad(filename As string) As IMAGE Ptr
	Dim img As IMAGE Ptr
	Dim tmp As UByte
	Dim pix As uinteger
	Dim pal(8192) As UByte
	Dim floc As integer
	Dim header As tga_header_t
	Dim file As Integer=freefile
	If Open(filename For binary As #file) = 0 Then
		If Lof(file)>0 Then
			'load the header
			Get #file, ,header.picture_id
			Get #file, ,header.palette_type
			Get #file, ,header.picture_type
			Get #file, ,header.palette_start
			Get #file, ,header.palette_lenght
			Get #file, ,header.palette_bits
			Get #file, ,header.x_null
			Get #file, ,header.y_null
			Get #file, ,header.picture_with
			Get #file, ,header.picture_height
			Get #file, ,header.picture_bits
			Get #file, ,header.picture_attrib_bits
			'skip picture id
			If header.picture_id<>0 Then
				Get #file, ,tmp ,header.picture_id
			EndIf
			'load palette if present
			If header.palette_type<>0 Then
				'floc=LOC(file)
				'Seek file,header.palette_start 
				For i As UInteger=0 To header.palette_lenght
					Get #file, ,pal(i)
				Next
			EndIf
			'load picture data
			img=ImageCreate(header.picture_with,header.picture_height,&h00000000,header.picture_bits)
			Select Case header.picture_type
				Case 0:
				Case 1:
				Case 2:
					For y As Integer=header.picture_height-1 To 0 Step -1
					For x As Integer=0 To header.picture_with-1
						Get #file, ,pix
						PSet img,(x,y),pix
					Next
					Next
					
				Case 3:
				Case 9:
				Case 10:
				Case 11:
				Case 32:
				Case 33:
					
					
			End Select
		EndIf
		Close #file
	EndIf
	Print SizeOf(header)
	Print "id: ";header.picture_id
	Print "ptype: ";header.palette_type
	Print "itype: ";header.picture_type
	Print "pstart: ";header.palette_start
	Print "plen: ";header.palette_lenght
	Print "pbits: ";header.palette_bits
	Print "xnull: ";header.x_null
	Print "ynull: ";header.y_null
	Print "iwith: ";header.picture_with
	Print "iheight: ";header.picture_height
	Print "ibits: ";header.picture_bits
	Print "iabits: ";header.picture_attrib_bits
	Return img
End Function
