;Include "KeyDefs.bb"

Const MKEY_Up		=0
Const MKEY_Down		=1
Const MKEY_Left		=2
Const MKEY_Right	=3

Const MKEY_Jump		=4
Const MKEY_MJump	=24

Const MKEY_Debug	=5

Const MKEY_Con		=257
Const MKEY_Zoom		=258
Const MKEY_ZoomIn	=259
Const MKEY_ZoomZero	=260
Const MKEY_ZoomOut	=261

Const MKEY_Fire		=264


Global MKeys[265]

Function BindKey(Mkey, ScanCode)
	MKeys[Mkey]=ScanCode
End Function

Function SetupKeys()
	BindKey(MKEY_Con, 	VKey_Grave)
	
	BindKey(MKEY_Up, 	VKey_W)
	BindKey(MKEY_Down, 	VKey_S)
	BindKey(MKEY_Right, VKey_D)
	BindKey(MKEY_Left, 	VKey_A)
	BindKey(MKEY_Jump, 	VKey_Up)
	BindKey(MKEY_MJump, VKey_Down)
	
	BindKey(MKEY_ZoomIn, VKey_MouseWeelUp)
	BindKey(MKEY_ZoomZero, VKey_MouseWeelZero)
	BindKey(MKEY_ZoomOut, VKey_MouseWeelDown)
	BindKey(MKEY_Zoom, VKey_MouseRight)
	
	
	BindKey(MKEY_Debug, VKey_F1)
	BindKey(MKEY_Fire, VKey_MouseLeft)
	
End Function

Function SetKeyMouse(mkeycode)
	Local tmp=False,scan=-1
	Repeat
		scan=scan+1
		If MouseZSpeed()=-1 Then MKeys[mkeycode]=1000:tmp=True
		If MouseZSpeed()=1 Then MKeys[mkeycode]=1002:tmp=True
		If MouseHit(1) Then MKeys[mkeycode]=1003:tmp=True
		If MouseHit(2) Then MKeys[mkeycode]=1004:tmp=True
		If MouseHit(3) Then MKeys[mkeycode]=1005:tmp=True
		If KeyHit(scan) Then MKeys[mkeycode]=scan:tmp=True
		If scan>255 Then scan=-1
	Until tmp=True
End Function

;~IDEal Editor Parameters:
;~C#Blitz3D