'look at three/3 seite 23

#Include "fbgfx.bi"
Using FB
'#Define use_freetype
#Include "inc/sgui/sgui.bas"
#include once "inc/sGUI/ListBox.bas"
#include once "inc/sGUI/SimpleGadget.bas"
#include once "inc/sGUI/MultiLineEditBox.bas"
#include Once "inc/sGUI/ToggleGadget.bas"

Using sGUI
CustomColors=1
BackGroundColor	=&Hff080808'&HC8C8C8
TextColor				=white
GadgetColor			=&Hff1F1F1a'&HFFAF00
GadgetGlowColor	=&Hff3F3F3F
GadgetTextColor	=white
CursorColor			=&Hff333FFF
MenuColor       =BackGroundColor
MenuTextColor   =white
MenuHiliteColor =GadgetColor'&H80D0FF
MenuGhostedColor=ShiftRGB (MenuColor,-contrast/2)


Dim Shared As Integer scr_w,scr_h,scr_bbp,scr_depth,scr_pitch,scr_rate
Dim As String scr_driver,scr_info
Dim Shared As Integer tile_w,tile_h
tile_w=8:tile_h=8
scr_w=tile_w*128
scr_h=tile_h*75

#Include Once "utils.bi"
#Include Once "star_tab.bi"

'ScreenRes tile_w*160,tile_h*100,32,2
ScreenRes scr_w,scr_h,32,,GFX_ALPHA_PRIMITIVES
ScreenInfo scr_w,scr_h,scr_depth,scr_bbp,scr_pitch,scr_rate,scr_driver
scr_info=scr_w & "|" & scr_h & "|" & scr_depth & "|" & scr_bbp & "|" & scr_pitch & "|" & scr_rate & "|" & scr_driver
'ScreenRes scr_w,scr_h,scr_depth,2
InitGFX
#Ifdef use_freetype
#Include "inc/ft_print.bi"
If (FT_Init_FreeType(@library) <> 0) Then
	Print "FT_Init_FreeType() failed" : Sleep : End 1
End If

If (FT_New_Face(library, TTF_FONT, 0, @font1) <> 0) Then
	Print "FT_New_Face() failed (font file '" & TTF_FONT & "' not found?)" : Sleep : End 1
End If
#EndIf
dim as EventHandle ptr event=new EventHandle

dim Shared As Gadget ptr list
list=AddListBox(event,66*tile_w,10,6,63,0,0)
dim Shared As Gadget ptr list_in_system
list_in_system=AddListBox(event,1*tile_w,10,6,63,0,0)
'GadgetOn (list)

Dim Shared As Integer minimum_bs,maximum_bs,minimum_bo,maximum_bo,pagesize,minimum_arms,maximum_arms
Dim Shared As Single minimum_k,maximum_k,minimum_p,maximum_p
minimum_bs=10
maximum_bs=15
minimum_bo=1
maximum_bo=8
minimum_k=160
maximum_k=320
minimum_p=2
maximum_p=5
minimum_arms=2
maximum_arms=5
pagesize=1
Dim Shared As Gadget Ptr ScrollBulgeSize
Dim Shared As Gadget Ptr ScrollBulgeOffset
Dim Shared As Gadget Ptr ScrollSpiralK
Dim Shared As Gadget Ptr ScrollSpiralP
Dim Shared As Gadget Ptr ScrollSpiralArms
Dim Shared As Gadget Ptr GenerateSectors
GenerateSectors=AddSimpleGadget(event,800,110,140,20,"Generate Sectors")
ScrollBulgeSize= AddScrollBar(event,800,10,200,minimum_bs,maximum_bs,1,pagesize,0)
SetScrolLBarVal(ScrollBulgeSize,15)
ScrollBulgeOffset= AddScrollBar(event,800,30,200,minimum_bo,maximum_bo,1,pagesize,0)
SetScrolLBarVal(ScrollBulgeoffset,8)
ScrollSpiralK= AddScrollBar(event,800,50,200,minimum_k,maximum_k,1,pagesize,0)
SetScrolLBarVal(ScrollSpiralK,320)
ScrollSpiralP= AddScrollBar(event,800,70,200,minimum_p,maximum_p,1,pagesize,0)
SetScrolLBarVal(ScrollSpiralP,3)
ScrollSpiralArms= AddScrollBar(event,800,90,200,minimum_arms,maximum_arms,1,pagesize,0)
SetScrolLBarVal(ScrollSpiralArms,5)

Dim Shared As Gadget Ptr galaxy_map_offset_x
Dim Shared As Gadget Ptr galaxy_map_offset_y
galaxy_map_offset_x= AddScrollBar(event,10,64*tile_h,63*tile_h,0,64*16-64-1,1,0,0)
SetScrolLBarVal(galaxy_map_offset_x,15*16)
galaxy_map_offset_y= AddScrollBar(event,64*tile_w,10,63*tile_w,0,64*16-64-1,1,0,1)
SetScrolLBarVal(galaxy_map_offset_y,15*16)

dim Shared As Gadget ptr textedit
textedit=AddMultiLineEditBox(event,87*tile_w,10,38,17,0)

dim Shared As Gadget ptr maptoggle
maptoggle=AddToggleGadget(event,1,64*tile_h,20,20,0,"M")

#Include Once "tilegame.bi"

Dim galaxy As galaxy_t
galaxy.generate_map(64,GetScrollBarVal(ScrollSpiralArms))
Dim old As Integer
Dim Shared snr As Integer=0
Dim Shared pnr As Integer=0
Dim Shared mnr As Integer=0

Do

	event->xSleep(-1)
	if event->GADGETMESSAGE then
		select case event->GADGETMESSAGE
			Case list
			Case list_in_system
			Case maptoggle
				If GetSelect(maptoggle) Then
					galaxy.map_open=1
				Else
					galaxy.map_open=0
				EndIf

				'		case ScrollSpiralArms
				'			If ScrollSpiralArms->Ctrl(14)<>GetScrollBarVal(ScrollSpiralArms) Then
				'				'galaxy.clear_map()
				'				galaxy.regenerate_map()
				'			EndIf
				'		case ScrollSpiralK
				'			If ScrollSpiralK->Ctrl(14)<>GetScrollBarVal(ScrollSpiralK) Then
				'				'galaxy.clear_map()
				'				galaxy.regenerate_map()
				'			EndIf
				'		case ScrollSpiralP
				'			If ScrollSpiralP->Ctrl(14)<>GetScrollBarVal(ScrollSpiralP) Then
				'				'galaxy.clear_map()
				'				galaxy.regenerate_map()
				'			EndIf
				'		case ScrollBulgeSize
				'			If ScrollBulgeSize->Ctrl(14)<>GetScrollBarVal(ScrollBulgeSize) Then
				'				'galaxy.clear_map()
				'				galaxy.regenerate_map()
				'			EndIf
				'		case ScrollBulgeOffset
				'			If ScrollBulgeOffset->Ctrl(14)<>GetScrollBarVal(ScrollBulgeOffset) Then
				'				'galaxy.clear_map()
				'				galaxy.regenerate_map()
				'			EndIf
				'		Case GenerateSectors
				'				'galaxy.clear_map()
				'				galaxy.regenerate_map()
		end select
	End If

	ScreenLock
	Line(0,0)-(scr_w,scr_h),&hff000000,BF
	#Ifdef use_freetype
	Dim x As Integer=print_text(200, 180 + 20, "Hello World!", font1, 8, RGB(Rnd() * 255, Rnd() * 255, Rnd() * 255))
	print_text(200, 180 + 40, Str(x), font1, 8, RGB(Rnd() * 255, Rnd() * 255, Rnd() * 255))
	#EndIf
	'DrawText(10,10,"teststring",&hffff00ff)
	'DrawShadowedText(CenterX(scr_info),CenterY(),scr_info,&hffffffff,&hff333333)
	If galaxy.map_open=1 Then
	GadgetOn(galaxy_map_offset_x)
	GadgetOn(galaxy_map_offset_y)
	GadgetOff(list_in_system)
	GadgetOn(list)
	Else
	GadgetOff(galaxy_map_offset_x)
	GadgetOff(galaxy_map_offset_y)
	GadgetOn(list_in_system)
	GadgetOff(list)
	'list->posx=8
	'list->gad(1)->posx=list->posx+6*8+6
	'DrawLB(list)
	EndIf
	
	'GadgetOn(list)
	GadgetOn(maptoggle)
	GadgetOn (textedit)
	'DrawGadget(list)
	'UpdateGadget(galaxy_map_offset_x)
	'UpdateGadget(galaxy_map_offset_y)
	galaxy.draw_map(0,0,64,64,GetScrollBarVal(galaxy_map_offset_x),GetScrollBarVal(galaxy_map_offset_y))
	snr=0
	pnr=0
	mnr=0
	If TO_GetLines(list)>1 Or TO_GetLines(list_in_system)>1 Then
		Dim x As Integer=GetListBoxVal(list) Or GetListBoxVal(list_in_system)
		If x>1 Then
			For i As UInteger=2 To x
				Dim t0 As String=TO_GetLineContent(list,i)
				Dim t1 As String=TO_GetLineContent(list_in_system,i)
				If Len(t0)=1 Or Len(t1) =1 Then
					snr+=1
					pnr=0
					mnr=0
				EndIf
				If Len(t0)=3 Or Len(t1)=3 Then
					pnr+=1
					mnr=0
				EndIf
				If Len(t0)=5 Or Len(t1)=5 Then
					mnr+=1
				EndIf
			Next
		EndIf
	EndIf

	If mnr>0 And pnr>0 And snr>0 Then
		print_moon_data(galaxy,snr,pnr,mnr)
	ElseIf pnr>0 And mnr=0 And snr>0 Then
		print_planet_data(galaxy,snr,pnr)
	ElseIf snr>0 And pnr=0 And mnr=0 Then
		print_star_data(galaxy,snr)
	EndIf

	ScreenUnLock
	ScreenSync
	Sleep 16



loop until event->EXITEVENT
delete event
End


